
<h2 mat-dialog-title>Выберите тип элемента</h2>

<mat-dialog-content class="mat-typography">
        <mat-form-field appearance="fill">
            <mat-label>Тип элемента</mat-label>
            <mat-select #selectField [formControl]="typeControl">
                <mat-option *ngFor="let type of types" [value]="type">
                    {{type.viewTitle}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill" *ngIf="selectField.value?.title === 'field'">
            <mat-label>Поле</mat-label>
            <mat-select [formControl]="fieldControl">
                <mat-option *ngFor="let field of fields" [value]="field">
                    {{field.viewTitle}}
                </mat-option>
            </mat-select>
        </mat-form-field>
</mat-dialog-content>
<mat-dialog-actions align="end">
    <button mat-button mat-dialog-close>Отмена</button>
    <button mat-button 
        [disabled]="!selectField.value"
        (click)="onClick()" 
        cdkFocusInitial>Выбор
    </button>
  </mat-dialog-actions>